Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_SKIPJACK_RELAYX_PARAMS

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_SKIPJACK_RELAYX_PARAMS

public class CK_SKIPJACK_RELAYX_PARAMS
extends java.lang.Object

class CK_SKIPJACK_RELAYX_PARAMS provides the parameters to the CKM_SKIPJACK_RELAYX mechanism.

PKCS#11 structure:

     typedef struct CK_SKIPJACK_RELAYX_PARAMS {
       CK_ULONG ulOldWrappedXLen;
       CK_BYTE_PTR pOldWrappedX;
       CK_ULONG ulOldPasswordLen;
       CK_BYTE_PTR pOldPassword;
       CK_ULONG ulOldPublicDataLen;
       CK_BYTE_PTR pOldPublicData;
       CK_ULONG ulOldRandomLen;
       CK_BYTE_PTR pOldRandomA;
       CK_ULONG ulNewPasswordLen;
       CK_BYTE_PTR pNewPassword;
       CK_ULONG ulNewPublicDataLen;
       CK_BYTE_PTR pNewPublicData;
       CK_ULONG ulNewRandomLen;
       CK_BYTE_PTR pNewRandomA;
     } CK_SKIPJACK_RELAYX_PARAMS;

Author:
  Karl Scheibelhofer , Martin Schl??ffer

Field Summary
`byte[]` | `pNewPassword` PKCS#11:
`byte[]` | `pNewPublicData` PKCS#11:
`byte[]` | `pNewRandomA` PKCS#11:
`byte[]` | `pOldPassword` PKCS#11:
`byte[]` | `pOldPublicData` PKCS#11:
`byte[]` | `pOldRandomA` PKCS#11:
`byte[]` | `pOldWrappedX` PKCS#11:

Constructor Summary
`CK_SKIPJACK_RELAYX_PARAMS()`

Method Summary
`java.lang.String` | `toString()` Returns the string representation of CK_SKIPJACK_RELAYX_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pOldWrappedX

    public byte[] pOldWrappedX

  PKCS#11:

         CK_BYTE_PTR pOldWrappedX;
         CK_ULONG ulOldWrappedXLen;

### pOldPassword

    public byte[] pOldPassword

  PKCS#11:

### pOldPublicData

    public byte[] pOldPublicData

  PKCS#11:

         CK_BYTE_PTR pOldPublicData;
         CK_ULONG ulOldPublicDataLen;

### pOldRandomA

    public byte[] pOldRandomA

  PKCS#11:

         CK_BYTE_PTR pOldRandomA;
         CK_ULONG ulOldRandomLen;

### pNewPassword

    public byte[] pNewPassword

  PKCS#11:

         CK_BYTE_PTR pNewPassword;
         CK_ULONG ulNewPasswordLen;

### pNewPublicData

    public byte[] pNewPublicData

  PKCS#11:

         CK_BYTE_PTR pNewPublicData;
         CK_ULONG ulNewPublicDataLen;

### pNewRandomA

    public byte[] pNewRandomA

  PKCS#11:

         CK_BYTE_PTR pNewRandomA;
         CK_ULONG ulNewRandomLen;

Constructor Detail

### CK_SKIPJACK_RELAYX_PARAMS

    public CK_SKIPJACK_RELAYX_PARAMS()

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of CK_SKIPJACK_RELAYX_PARAMS.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_SKIPJACK_RELAYX_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18